Command Keys

Reference List of Command Keys

Normal mode

Keyboard

<1>, <2>, <3>, <4>, <6>, <7>, <8>, <9> (keypad) | Move view area in 8 directions
<home>, <end>, <pgup>, <pgdown> | Move diagonally
<up>, <down>, <left>, <right> | Move horizontally or vertically
<1>, <2>, <3> (not keypad) | Select object, floor or wall mode
left mouse button | Place current shape
<b> | Show the item selection screen
<d> | Run DragonSpeak Editor
<g> or right mouse button | Get object under cursor
<j> | Select paint bucket tool
<k> | Select pen tool
<m> | Select marquee tool
<w> | Run Walkthrough
<+>, <->, <,>, <.> | Browse through shape list
<enter> or <return> | Change wall mode (only when wall type selected)
<backspace> or <shift>+left mouse button | Delete highlighted item, object, or wall
<spacebar> | If pen tool selected, place current shape. If select tool selected, place current shape to all the selected area. If paint bucket tool selected, paint the area.

Shortcuts

<Ctrl-C>, <Ctrl-V> | Copy and paste objects
<Ctrl-D> | Open DragonSpeak file in Notepad
<Ctrl-F>, <Ctrl-G> | Make dream narrower or wider
<Ctrl-H> | Show command key help
<Ctrl-L> | New dream
<Ctrl-O> | Load dream
<Ctrl-S> | Save dream
<Ctrl-T>, <Ctrl-Y> | Make dream shorter or taller
<Ctrl-Q> | Quit the editor

Item Selection Mode

Keyboard

<1>, <2>, <3> (not keypad) | Select object, floor, or wall mode
<+> <-> <space> <backspace> | Browse through shape list
<esc> or <b> | Close selection mode without selecting
left mouse button | Select an object


Welcome

Welcome to Dream Editor

This program allows you to create and edit your own custom maps (or “dreams”) you can upload to Furcadia for other players to see and use.

When you start the Dream Editor, a window pops up showing you part of the map, just like in the game. It might be partly underneath this help window right now, but you can click on the editor to bring it to the top.


Moving Your Cursor

The first thing to learn is that you can move around with the keyboard in four directions using the arrow keys or keypad, just like in Furcadia. You can also left click on the “minimap” in the upper left hand corner of the editor to jump to a point on the dream. This makes it quicker and easier to get to the exact spot you want to put something. Use the mouse to move your cursor - it starts out looking like a red pillow.

By clicking the left button of your mouse, you will place items on the dream.


Objects

Placing Objects

Let's say you've found the perfect spot to put a nice red pillow. All you have to do is left-click your mouse where you want the object placed or press <spacebar> when your cursor is in the spot you've chosen. Move away, and you'll see you left a pillow behind.

Draw Mode

You can leave behind a whole bunch of objects without having to press <spacebar> or clicking for each one, if you want. Hold down the left mouse button and move your mouse and you'll leave a trail of objects behind wherever you move. Release the button and the trail will end.

Changing Object Selection

If you get tired of drawing nothing but pillows on the dream, you can change the cursor to another shape with the ‘+’ and ‘-‘ keys. Since there are so many shapes to choose from, you can also skip forward and back through the list by 8 shapes by pressing the ‘.’ and ‘,’ keys. The number in the “Current object” box to the left tells you which shape you are using, so if you have a favorite shape and want to find it again, you can remember where it is in the list.

You can also view all the objects by pressing <b>. Press <b> or <esc> to cancel and return to the editor. Pressing ‘+’ or ‘-‘ on this screen will allow you to flip back and forth through the pages to find the item you want. Left click on your selection to return to the editor with that object active. You can also have the editor get the object your cursor is over by pressing <g> with the object highlighted by the cursor or right clicking your mouse on it.

Erasing objects

Object 0 is a special object that means "no object at all". If you want to erase something you put on the dream, just place an object 0 on top of it, or press <backspace> or <shift> and left mouse button when your cursor is over the object you wish to remove.

Selecting areas

If you change your tool from the pen to the selecting tool, you can select areas from the dream, copy and paste them to the new location you choose by pressing <Ctrl-C> (copy) and <Ctrl-V> (paste). You can also fill the selected area full of the object, floor, or wall currently selected by pressing <spacebar>, and erase the selected area by pressing <backspace>. The filling and erasing effect on the selected type of objects (objects, floors, or walls) only, and let the others be as they were.

Note:

These commands and instructions all work the same for Floors and Walls as well as objects.


Floors

You can also draw on the ground of your dream. Press the ‘2’ key (the one at the top of the keyboard, not on the numeric keypad) to do this. All the keys you use with Objects (‘+’, ‘-‘, <spacebar>, <backspace>, ‘b’, and so on) work the same way, and the special floor shapes will help you to make fields, paths, pools of water – anything you like.


Walls

Press ‘3’ to draw walls. Moving around with the walls is a little funny compared to Floors and Objects, because each spot on the dream has walls along the left edge and the right edge. The keyboard commands commands are the same for Walls as for Floors and Objects. (See Command Keys or Objects .)

Erasing walls

To erase a wall, wall number 0 over it, or press <backspace>, or press <shift> and click left mouse button.


Saving and Loading

Saving Your Dream

When you're done working with your dream, you can select “Save” or “Save As” under the “File” menu at the top of the screen to save your work.

Loading Your Dream

Select “Open” under “File” at the top of the editor to load the last version you saved. If you made changes you don't like, you can load your last save and put it back to the way it was before.

Saving a Bitmap Picture

You can also save your dream as a bitmap picture (.BMP) so you can view it as a picture with the “Save As Bitmap” option. Please note that saving a dream as bitmap picture is like taking a screenshot of it – it is not possible to load a dream saved only in BMP format back to the Dream Editor, or upload it to Furcadia. That’s why you should always keep a “.map” (“Save” and “Save As” options) version of your dream.


Uploading

Uploading Your Dream to Furcadia

When your dream is ready to be shared with other players, it needs to be uploaded to Furcadia. Dreams can be uploaded to several areas in Furcadia. For example, Allegria Island, Imaginarium, and Acropolis are popular places for players’ dreams. It is also possible to upload dreams inside other players’ dreams, if they allow it.

To upload your dream, select a spot where you want to place your dream portal (it will appear in front of your character) and press <Ctrl-T>. Your dream will stay online for a while, and will never disappear while someone is still inside it.

If you have more than one dream you want to show to people, you can select which of your dreams is uploaded to Furcadia when you press <Ctrl-T> by loading the dream you wish to upload in Dream Editor. Whichever map you loaded last in Dream Editor will be the one that <Ctrl-T> will upload to Furcadia next.


Controlling Your Dream

Controlling Your Dream in Furcadia

To help you to keep things running in your dream, there are a few commands you should remember. You use the commands by writing them to Furcadia as if you were about to say something. These commands do work only in your dream, or in any dream which owner shares its controls with you.

Emit, emitloud

If you say emit <text>, the <text> portion will be displayed to everyone near you. Saying emitloud <text> will display the <text> portion to everyone in your dream.

For example:

emit The music starts to play

>>>>

[#] The music starts to play.

Eject, banish, unbanish

As the owner of the dream, you are the one who chooses what kind of players you let to your dream. If you want to remove a player from your dream, say eject <name>. It returns the selected player back to the VINCA.

The ejected player will be allowed to return to your dream. If you want to prevent the player from ever returning to your dream, you can say banish <name>, and the player will be banned from your dream until you cancel the banishment by saying unbanish <name>.

For example:

eject AnnoyingPlayer
banish AnnoyingPlayer
unbanish AnnoyingPlayer

Share

There are times when you may need to share the rights of controlling your dream with someone. The share command gives all the same rights (rights to use emit, eject and share commands in your dream) to the player you select.

When you say share <name>, the chosen player will receive the rights to control your map.

For example:

share TrustedPlayer


Dream Size

Sometimes the default size will not be enough for what you are trying to do with your dream. You can use <Ctrl-T> (shorter), <Ctrl-V> (taller), <Ctrl-F> (skinnier), and <Ctrl-G> (wider) to change the size of your dream until it fits your needs.

There is a border on the map that where players may not walk: Furcadia always keeps you in the middle of the display window, we don't want you to move right up to the edge of the map. If you did that, and we still kept you in the middle, we would have to show you what's past the edge of the map and there's nothing there to show you. When you play the game, the program will keep you from stepping too close to the edge by not letting you walk into the area near the edge of the map.

This area is often blocked off with walls, trees, or water -- If you leave it wide open, players will try to move there and get confused when they can not.


DragonSpeak

If you want to get really fancy with your dreams, you can "script" them to do special things when players step in certain places, flip levers, use certain objects, or even just at random times. You can do all this (and a lot more) by using the Dragonspeak language that is built into the game.

There is so much to explain about using DragonSpeak that we have a whole separate set of instructions just for that (See Help -> DragonSpeak). If you want to edit the DragonSpeak script for one of your maps, run the DS Editor program.


Patches

Dream Patches

For instructions of how to make patches, http://www.furcadia.com/beekins/guide/patches.html

Dream patches are additional graphics, sounds, or music for your dream. If you want to make graphical or musical changes to your dream, you need to do the following.

In Dreamed, select "Dream Settings" from "Patches" menu, or press <Ctrl-L>. In Dream Settings window, you have three options:

1) I do not want to use any additional graphics, sounds, or music. Let me just work with the basic things.
You don't have to worry about making graphics or sounds by yourself, but you are limited to the material offered.

2) I want to use files from this directory with my dream
By specifying a directory where your art files are located, Furcadia will include them with the upload of your dreams. Please note that all files* inside the selected folder will be shared with players who download your dream.

3) I want to use a public patch from the server. Here is the name of the patch.
To save download time, it is possible to use a publically shared patch with your dream. This keeps dream loading very fast compared to the option 2. Currently Furcadia does not have any publically shared patches available for its players.

IMPORTANT! While using patches, remember to keep the patch folder clean of all unnecessary files. ALL the files* in the folder are sent to the server, so be careful that you don't accidentally upload any private documents with your dream!

How does it work?

When entering your dream, Furcadia checks your patch folder of your dream for changed art. If there are any changes compared to the default Furcadia graphics, the default art will be will be overridden by your art until you leave the dream.

What can I patch?

Everything. If you send your version of PORTRAIT.FSH with your dream, Furcadia will show the portraits as you want them to be to everyone who enters your dream. If you send MARBLED.PCX, their Furcadia window changes its look. For a detailed list of files that can be changed, please open your Furcadia program folder, and then open “patches” folder, and then “default” folder. We strongly recommend that you copy files from this folder, instead changing anything there.

If you do not want replace graphics, but instead add more objects, you can use extended patches. ITEME.FSH (items extension) and FLOORE.FSH (floors extension) files can contain of new graphics (items up to 800, floors up to 500). These objects will show as object numbers 2400-3200 (items) and 500-1000 (floors) in DreamEd and DragonSpeak.

To extend the number of walls in your dream, please refer to this guide: http://www.furcadia.com/update/walls/

* For safety reasons, Furcadia sends only .FSH, .FS2, .FBJ, .WAV, .MID, .TXT, .HTM, .MAP, .DSB, .PCX, .OGG, .WMA, .ASF, .MOD, .S3M, .XM, and .IT files to the server. Other files are ignored.